<?php
require'fun.php';
require'f_conectare.php';
conectare('triburi (triburile v2)','triburile2-triburi');
$titlu='Triburi - Triburile V2';
require'f_tabelare.php';
$back[1]='<a href="/triburile2">'.img('triburile.gif',1).'Triburi</a>';
require'f_sus.php';
require'triburile2_nicu1.php';
function pcttrib($id)
{
global$conn;
$fo=$conn->query('SELECT COUNT(*)FROM`t2_membrii`WHERE`trib`="'.$id.'"')->fetch_row();
$pct=0;
if($fo[0])
{
$items=$conn->query('SELECT`pct`FROM`t2_membrii`WHERE`trib`="'.$id.'"');
while($rf=$items->fetch_row())
{
$pct+=$rf[0];
}
}
return$pct;
}
function tribpct()
{
global$conn;
$items=$conn->query('SELECT`nume`,`id`FROM`t2_triburi`ORDER BY`id`ASC');
while($ty=$items->fetch_row())
{
$pct=pcttrib($ty[0]);
$conn->query('UPDATE`t2_triburi`SET`pct`="'.$pct.'"WHERE`id`="'.$ty[1].'"');
}
}
tribpct();
$elemente=$conn->query('SELECT COUNT(*)FROM`t2_triburi`')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
$cou=$limit_start;
$items=$conn->query('SELECT`nume`,`pct`,`id`FROM`t2_triburi`ORDER BY`pct`DESC LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
$cou++;
$iml=$cou;
if($cou==1)
$iml='<img src="'.$domenii_statice[1].'aur.gif" alt="aur" />';
elseif($cou==2)
$iml='<img src="'.$domenii_statice[2].'argint.gif" alt="argint" />';
elseif($cou==3)
$iml='<img src="'.$domenii_statice[1].'bronz.gif" alt="bronz" />';
echo'<tr><td'.$clasa_kk.'>'.$clasa_n.'<strong>'.$iml.'</strong>'.$div[0].'<a href="/triburile2-trib/la/'.$item[2].'-'.seo(nume($item[2],1)).'">'.avatar($item[2]).'</a></td><td'.$clasa_k.'>'.$clasa_n.'<a href="/triburile2-trib/la/'.$item[2].'-'.seo(nume($item[2],1)).'">'.htmlspecialchars($item[0]).'</a>'.$div[0].$clasa_normal.'Are <strong>'.number_format($item[1]).'</strong> puncte!'.$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt triburi create!'.$div[0];
require'f_jos.php';